---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab auth logout`

Logout from a GitLab instance.

## Synopsis

Logout from a GitLab instance.
Configuration and credentials are stored in the global configuration file (default `~/.config/glab-cli/config.yml`)

```plaintext
glab auth logout [flags]
```

## Examples

```console
Logout of a specific instance
- glab auth logout --hostname gitlab.example.com

```

## Options

```plaintext
  -h, --hostname string   The hostname of the GitLab instance.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
